%define prerelease 6478cc9340cb
%define import_path code.google.com/p/go.crypto
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:12})
Summary:	supplementary Go cryptography libraries
Name:		golang-libcrypto
Version:	0.20131031
Release:	%mkrel 7
License:	BSD
Group:		Development/Other
Url:		http://crypto.go.googlecode.com
Source0:	http://crypto.go.googlecode.com/archive/%{prerelease}.zip
Provides:	golang(%{import_path}) = %{version}-%{release}
BuildRequires:	golang
BuildArch:	noarch

%description
supplementary Go cryptography libraries.

%prep
%setup -q -n crypto.go-%{shortcommit}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE
rm -f %{buildroot}%{gosrc}/README
rm -f %{buildroot}%{gosrc}/AUTHORS
rm -f %{buildroot}%{gosrc}/CONTRIBUTORS
rm -f %{buildroot}%{gosrc}/PATENTS

%files
%doc LICENSE
%doc README
%doc AUTHORS
%doc CONTRIBUTORS
%doc PATENTS
%{gosrc}/*


%changelog
* Wed Jul 20 2016 pterjan <pterjan> 0.20131031-7.mga6
+ Revision: 1042851
- Use gopath macro from golang package and make this package noarch

* Thu Feb 11 2016 umeabot <umeabot> 0.20131031-6.mga6
+ Revision: 954171
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.20131031-5.mga6
+ Revision: 893489
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.20131031-4.mga5
+ Revision: 750617
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20131031-3.mga5
+ Revision: 679866
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20131031-2.mga4
+ Revision: 559410
+ rebuild (emptylog)

* Thu Nov 21 2013 thatsamguy <thatsamguy> 0.20131031-1.mga4
+ Revision: 552155
- update to latest release

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20131024-1.mga4
+ Revision: 546839
- imported package golang-libcrypto

